Subject: IBC Japan Account Manager
From: <[email-masked]>
To: <[email-masked]>
Date: Wed, 21 Feb 2024 14:40:02 +1300

Greetings from IBC Auto!

My name is Miyuki, an Account Manager of IBC Auto. I would like to know about the specifications of the vehicles that you are looking for as I can help you with your vehicle sourcing needs.

Please fill in the information below for my reference.

Year:

Make:

Model:

Mileage:

CC Rating:

Color:

Price Range:

Contact Number:

For more information and to enjoy our wide variety of features and services, please visit https://www.ibcauto.com/ <https://apc01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ibcauto.com%2F&data=05%7C02%7CMHatori%40ibcauto.com%7C0ed6935466544726515508dc26b476d2%7Cd487dbeeb3df4578a1be2d368870f520%7C0%7C0%7C638427803746845062%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C0%7C%7C%7C&sdata=pXcrtZexA8P1FnvnjFUXq7vTyPHBqJLNB4JXxYgilgU%3D&reserved=0>   You can email me directly should you need any assistance.

I am looking forward to hearing from you.

  <https://lh7-us.googleusercontent.com/0sgS3f-cYwo-f2MclAmIXNFffEKH8u5sVepadSROxXiJLIGmw1mBYzgjilGfOt8kY2ECWEmrUaucoByRqynqcSqUkgNUb5LJwlNVV0c9dG-o0yTj1AWUrUWL0myoMUG483Z1vi56mR8VRRDPEGYE410> 
​ Miyuki Hatori

 Account Manager

 

 <https://www.ibcauto.com/> 
IBC Japan Ltd.

Phone: +63 991 639 6137

Email: [email-masked]

 <https://m.me/ibcautosales> 
 <https://line.me/ti/p/MgyDXx3wyP> 
 <https://msng.link/o/?639916396137=vi> 
 <https://wa.me/639916396137> 
 <https://join.skype.com/invite/xpfzT5zquzLc>